# Generated from rabbit-slide-kou-db-tech-showcase-tokyo-2018-2018.9.20.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rabbit-slide-kou-db-tech-showcase-tokyo-2018

Name: rubygem-%{gem_name}
Version: 2018.9.20.3
Release: 1%{?dist}
Summary: MySQL・PostgreSQLだけで作る高速あいまい全文検索システム
License: CC-BY-SA-4.0 and CC-BY-3.0
URL: http://slide.rabbit-shocker.org/authors/kou/db-tech-showcase-tokyo-2018/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
ナイーブな全文検索は単なる中間一致検索です。しかし、現実に人が入力するテキストは揺れまくっているので単なる中間一致検索では必要な情報を見つけられません。たとえば、「(090)1234-5678」も「０９０ー１２３４ー５６７８」も「09012345678」もすべて同じ電話番号として扱いたいのが現実です。
MySQLとPostgreSQLの全文検索機能ではこのようにゆるい全文検索を高速に実現することができません。そこでMroonga・PGroongaです。Mroonga・PGroongaを使ってMySQL・PostgreSQLだけで高速にゆるく全文検索する方法を紹介します。.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.rabbit
%{gem_instdir}/config.yaml
%{gem_instdir}/mysql-postgresql-fast-fuzzy-full-text-search-system.rab
%{gem_instdir}/pdf
%{gem_instdir}/theme.rb
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rd
%{gem_instdir}/Rakefile

%changelog
* Tue Sep 14 2021 mockbuilder - 2018.9.20.3-1
- Initial package
